commit:     fe5bfdd5ca9df21c9230c7550d08437a5de6ade6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 04:24:07 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 04:54:26 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe5bfdd5

dev-python/yarl: Bump to 1.15.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/yarl/Manifest           |  1 +
 dev-python/yarl/yarl-1.15.3.ebuild | 66 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/yarl/Manifest b/dev-python/yarl/Manifest
index a3c2fb26e78a..a5a858d56e29 100644
--- a/dev-python/yarl/Manifest
+++ b/dev-python/yarl/Manifest
@@ -5,4 +5,5 @@ DIST yarl-1.14.0.tar.gz 166127 BLAKE2B 
7974896144ef23309aead8935f18fe717e39b982b
 DIST yarl-1.15.0.tar.gz 167065 BLAKE2B 
2daae4ee528501cc00e4e967bce32b15585a827463b76ef8c27db3808dc3bfeac93de8eec0e2a9af28d3622d70a40ce66845c69744ad49dda7205e93d047f614
 SHA512 
25a2b2434204e29f4fc4ef438efda0747aedc3e703a8164f9aa5fee809d8d01895f3b0a9aa4de1d3deaa719d940b2b5e681360e47d8e3704200bffdf5e7151a8
 DIST yarl-1.15.1.tar.gz 168422 BLAKE2B 
2368b4c340d5aa63b49d75befdf7d6e5b9a9a4509406b0beadbca7e20610b29d7f737b29a1b75dc5b1682fd60d3d22177dbcf756aa217cd926e3b82502ca11a0
 SHA512 
90a60b037c6fac6139016a9846d230cd0ed67875c31eadb61ad0ee1e239caf95a59cfed6312ce83215bb7ae9eca366d1162cbf7f5e61b236cee75bac0c08670c
 DIST yarl-1.15.2.tar.gz 169318 BLAKE2B 
aa7cc694b0d654308963b5689025d9bf3223d34b1a8678cfb646d03bf97ed9a253c77813c299d0035601e10f3dc69caa7dd16decc8a02a7b9179318642545afc
 SHA512 
38b7011dbea635a2b70b14677ca57d0283b301ee13ee8f97b29fd604d9df55bd59ae8ac16cd08185aed6cdfa2ea760dafc313e0653adfe513e385e2a96e5b563
+DIST yarl-1.15.3.tar.gz 169695 BLAKE2B 
86e6a85983e7c7b7d11baa7624eed4271d90ff1a13b853dab8d5a4a1e14fd7308c16b90bdc5cbded4e55641f5777232052859a60104d6391d177972645a1da39
 SHA512 
751042c83dbd5f61091facc22a49f9eb109b9967bb6eb5325247a68da179de9cd0508634c1f6fbaab20ca20ce70d7f68f032110ee41a9affe58bb3eee66a0833
 DIST yarl-1.9.4.tar.gz 141869 BLAKE2B 
367eac4674bf1190122f10bb1dc1c4f3d5e4263e1d95ff2b871067d55a894dc19a6bb5a6c673d1bed28b3c5f77c704799568edfe639d50f0ae10313eb847352d
 SHA512 
e4f7917f1625b40125abae9a13d61795f97e8cf489735e15cf58476e97c3bcf840b1452482f1f7a737fbb2bdd1dc7bbcfa882d0a7f76a27dfb3aea72b7a66c82

diff --git a/dev-python/yarl/yarl-1.15.3.ebuild 
b/dev-python/yarl/yarl-1.15.3.ebuild
new file mode 100644
index 000000000000..2f428eea3047
--- /dev/null
+++ b/dev-python/yarl/yarl-1.15.3.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Yet another URL library"
+HOMEPAGE="
+       https://github.com/aio-libs/yarl/
+       https://pypi.org/project/yarl/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+RDEPEND="
+       >=dev-python/idna-2.0[${PYTHON_USEDEP}]
+       >=dev-python/multidict-4.0[${PYTHON_USEDEP}]
+       >=dev-python/propcache-0.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       native-extensions? (
+               dev-python/cython[${PYTHON_USEDEP}]
+       )
+       dev-python/expandvars[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+       local -x YARL_NO_EXTENSIONS=0
+       if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+               YARL_NO_EXTENSIONS=1
+       fi
+       distutils-r1_python_compile
+}
+
+python_test() {
+       local EPYTEST_IGNORE=(
+               # benchmarks
+               tests/test_quoting_benchmarks.py
+               tests/test_url_benchmarks.py
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local opts=()
+       # note different boolean logic than for backend (sigh)
+       local -x YARL_NO_EXTENSIONS=
+       if ! use native-extensions || [[ ${EPYTHON} != python* ]]; then
+               YARL_NO_EXTENSIONS=1
+       fi
+
+       rm -rf yarl || die
+       epytest -o addopts= "${opts[@]}"
+}

Reply via email to